Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Router
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Managed Service for YDB
    • SpeechKit
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • Container Registry
    • Managed Service for Prometheus®
    • Message Queue
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Cloud Apps
    • Yandex AI Studio
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Yandex Cloud Video
    • Stackland
    • Yandex StoreDoc
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • DataSphere
    • Vision OCR
    • Translate
    • Cloud Registry
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Managed Service for GitLab
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Serverless Integrations
    • IoT Core
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex Managed Service for Apache Kafka®
KZ
  • Начало работы
  • Управление доступом
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
        • Move
        • Start
        • Stop
        • RescheduleMaintenance
        • ListLogs
        • StreamLogs
        • ListOperations
        • ListHosts
        • ListAccessBindings
        • SetAccessBindings
        • UpdateAccessBindings
  • Метрики Yandex Monitoring
  • Аудитные логи Audit Trails
  • Публичные материалы
  • История изменений
  • Вопросы и ответы
  • Обучающие курсы

В этой статье:

  • gRPC request
  • ListClusterHostsRequest
  • ListClusterHostsResponse
  • Host
  • Resources
  1. Справочник API
  2. gRPC (англ.)
  3. Cluster
  4. ListHosts

Managed Service for Apache Kafka® API, gRPC: ClusterService.ListHosts

Статья создана
Yandex Cloud
Обновлена 24 июня 2026 г.
Открыть в Markdown
  • gRPC request
  • ListClusterHostsRequest
  • ListClusterHostsResponse
  • Host
  • Resources

Retrieves a list of hosts for the specified Apache Kafka® cluster.

gRPC requestgRPC request

rpc ListHosts (ListClusterHostsRequest) returns (ListClusterHostsResponse)

ListClusterHostsRequestListClusterHostsRequest

{
  "cluster_id": "string",
  "page_size": "int64",
  "page_token": "string"
}

Field

Description

cluster_id

string

Required field. ID of the Apache Kafka® cluster.
To get the Apache Kafka® cluster ID, make a ClusterService.List request.

The maximum string length in characters is 50.

page_size

int64

The maximum number of results per page to return.
If the number of available results is larger than page_size, the service returns a ListClusterHostsResponse.next_page_token that can be used to get the next page of results in subsequent list requests.

The maximum value is 1000.

page_token

string

Page token.
To get the next page of results, set page_token to the ListClusterHostsResponse.next_page_token returned by the previous list request.

The maximum string length in characters is 100.

ListClusterHostsResponseListClusterHostsResponse

{
  "hosts": [
    {
      "name": "string",
      "cluster_id": "string",
      "zone_id": "string",
      "role": "Role",
      "resources": {
        "resource_preset_id": "string",
        "disk_size": "int64",
        "disk_type_id": "string"
      },
      "health": "Health",
      "subnet_id": "string",
      "assign_public_ip": "bool"
    }
  ],
  "next_page_token": "string"
}

Field

Description

hosts[]

Host

List of hosts.

next_page_token

string

Token that allows you to get the next page of results for list requests.
If the number of results is larger than ListClusterHostsRequest.page_size, use the next_page_token as the value for the ListClusterHostsRequest.page_token query parameter in the next list request.
Each subsequent list request will have its own next_page_token to continue paging through the results.

HostHost

Cluster host metadata.

Field

Description

name

string

Name of the host.

cluster_id

string

ID of the Apache Kafka® cluster.

zone_id

string

ID of the availability zone where the host resides.

role

enum Role

Host role. If the field has default value, it is not returned in the response.

  • KAFKA: The host is a Kafka broker.
  • ZOOKEEPER: The host is a ZooKeeper server.
  • KRAFT: The host is a Kafka KRaft controller broker.

resources

Resources

Computational resources allocated to the host.

health

enum Health

Aggregated host health data. If the field has default value, it is not returned in the response.

  • UNKNOWN: Health of the host is unknown. Default value.
  • ALIVE: The host is performing all its functions normally.
  • DEAD: The host is inoperable and cannot perform any of its essential functions.
  • DEGRADED: The host is degraded and can perform only some of its essential functions.

subnet_id

string

ID of the subnet the host resides in.

assign_public_ip

bool

The flag that defines whether a public IP address is assigned to the node.
If the value is true, then this node is available on the Internet via it's public IP address.

ResourcesResources

Field

Description

resource_preset_id

string

ID of the preset for computational resources available to a host (CPU, memory, etc.).
All available presets are listed in the documentation.

disk_size

int64

Volume of the storage available to a host, in bytes. Must be greater than 2 * partition segment size in bytes * partitions count, so each partition can have one active segment file and one closed segment file that can be deleted.

disk_type_id

string

Type of the storage environment for the host.

Была ли статья полезна?

Предыдущая
ListOperations
Следующая
ListAccessBindings
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»